<?php

	/*
	 * @author	Martijn Polak
	 * @since	20040805
	 * @name	Dynamic Pages Component.
	 * 			Parameters
	 * 			 - template:	defines which template to use
	 * 			 - code:		the page code
	 */
	
	global $g_obj_tdyp0207;
	$g_obj_html->createObject('tdyp0207', 'dynamicPages()');

	if ($componentSettings['template']) $g_obj_tdyp0207->setSetting('templates->article', $componentSettings['template']);	
	$tmp_org_id = $g_obj_tdyp0207->getVariable('org_id');
	if (is_numeric($componentSettings['org_id'])) $g_obj_tdyp0207->setVariable('org_id', $componentSettings['org_id']);


	$g_obj_tdyp0207->setTemplateVariableByRef('componentSettings', $componentSettings);
	$g_obj_tdyp0207->setTemplateVariableByRef('css', $g_arr_css);
	$g_obj_tdyp0207->printArticle(strtoupper($componentSettings['code']));

	if (is_numeric($componentSettings['org_id'])) $g_obj_tdyp0207->setVariable('org_id', $tmp_org_id);
	
?>